Bug 705426 - Review Request: blender25 - 3D modeling, animation, rendering and post-production
Review Request: blender25 - 3D modeling, animation, rendering and post-produc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
StalledSubmitter
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-05-17 12:09 EDT by Jochen Schmitt
Modified: 2012-02-04 13:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-04 13:11:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2011-05-17 12:09:24 EDT
Spec URL: http://www.herr-schmitt.de/pub/blender/blender25.spec
SRPM URL: http://www.herr-schmitt.de/pub/blender/blender25-2.57b-1.fc14.src.rpm
Description:
Blender is the essential software solution you need for 3D, from modeling,
animation, rendering and post-production to interactive creation and playback.

Professionals and novices can easily and inexpensively publish stand-alone,
secure, multi-platform content to the web, CD-ROMs, and other media.

Additional Informations:
This package should introduce in Fedora-15 only. The reason is, that there are
several packages which depends on blender, so an update to blender-2.57 is not possible without breaking the dependency of this packages. 

There are people who requests blender-2.57b on Fedora 15, so I have create a 
package which you can install parallel to the official blender-2.49b package.
Comment 1 Richard Shaw 2011-05-24 16:00:40 EDT
Jochen,

Are you interested in converting to a cmake build? I would think this would be an opportune time to make the switch.

Also, openCOLLADA has been accepted into Fedora and since Blender is the only user of openCOLLADA it would be good to go ahead and start building against it.

Thanks,
Richard
Comment 2 Richard Shaw 2011-06-14 14:38:25 EDT
ping...
Comment 3 Jochen Schmitt 2011-06-14 14:53:11 EDT
Sorry for the deley.

This should only be an intermisch package for Fedora 15 for people which want to try out blender 2.57b on Fedora 15.

Belnder-2.57b or a later release should be the default release of blender on Fedora 16.
Comment 4 Richard Shaw 2011-06-14 15:16:01 EDT
Jochen,

Please don't take this the wrong way as I'm going to be very direct in order to minimize any misinterpretation/mistranslation.

Are you saying that:

a. Since this a temporary (or short lifespan) package that you want to continue using scons?

or

b. You have no interest in moving to cmake, now or anytime in the furture?

Also, I'd like your input on include building blender with openCOLLADA support. Although I submitted the review request mainly to become a Fedora packager it would be a shame not to include it as currently blender is the only package that would use it. Otherwise I might as well kill it.

Thanks,
Richard
Comment 5 Jochen Schmitt 2011-06-16 14:03:32 EDT
I'm maeding point a.
Comment 6 Nicolas Chauvet (kwizart) 2011-06-24 04:42:45 EDT
I disagree with this package been introduced in F-15 at all.
If people wants blender 2.5x in F-15 they should grab it from a 'feature repository'.
Doing that would help to backport the related renderer in F-15 to match the backported blender 2.5x.
Comment 7 Richard Shaw 2011-06-24 08:57:34 EDT
Nicolas,

Can you explain a bit more what you mean by 'feature repository' and related renderer? 

I don't quite understand what you mean.

Thanks,
Richard
Comment 8 Nicolas Chauvet (kwizart) 2011-06-25 08:43:06 EDT
LuxRender Yafaray have sub-package that plug into a dedicated version of blender.
I both version are provided, then there is a need to build the plugin for both flavor.

Feature repo is a repo like http://fedoraproject.org/wiki/Virtualization_Preview_Repository Where a given version of a package can be downloaded with other related dependencies.
Comment 9 Richard Shaw 2011-06-27 11:47:32 EDT
If blender25 could be parallel installable with the current release package. Wouldn't that keep it from interfering?
Comment 10 Richard Shaw 2011-07-26 12:32:01 EDT
A couple of questions.

1. Is this RR dead?

2. On a side note, I'm close to having OpenImageIO accepted into Fedora which is the last requirement in order to build the new Blender branch with the cycles rendering engine. 

I suppose it will need to go into a feature (or personal) repository? 

Thanks,
Richard
Comment 11 Jochen Schmitt 2011-08-01 14:58:53 EDT
1.) Yes, but I need a reviewer.

2.) We don't have a feature repository newo.

New uploads:

Spec URL: http://www.herr-schmitt.de/pub/blender/blender25.spec
SRPM URL: http://www.herr-schmitt.de/pub/blender/blender25-2.58a-1.fc15.src.rpm
Comment 12 Richard Shaw 2011-08-05 22:53:37 EDT
I was playing around with the blender-cycles branch to see if I can get a good build. I'm using the "make install DESTDIR=%{buildroot}" instead of manually installing. My build seems to create a lot of libraries that don't get installed. Are you building the libraries statically into the binary? 

Something I noticed from your spec file:

%global blenderlib  %{_datadir}/blender/%{blender_api}
%global blenderarch %{_libdir}/blender/%{belnder_api}

It looks like blenderlib and blenderarch are assigned opposite of what they should be? Or maybe I'm not understanding your naming scheme. 

Also your spec URL isn't valid, I tried dropping the "25" and it worked but it doesn't match what's in the spec file.

The SRPM as provided doesn't build. The spec file is missing a BR: for cmake.

Can you fix those and repost new links?

Thanks,
Richard
Comment 13 Richard Shaw 2011-08-07 07:51:20 EDT
Here's my package

SPEC: http://hobbes1069.fedorapeople.org/blender/blender.spec
SRPM: http://hobbes1069.fedorapeople.org/blender/blender-2.58-1.fc15.src.rpm

It included the new cycles rendering engine (requires OpenImageIO which just made it to stable) and openCOLLADA support.
Comment 14 Richard Shaw 2011-09-07 14:34:40 EDT
Jochen,

I see you've added openCOLLADA support on the latest builds. Thanks!

You may also want to add OpenImageIO which is now in stable on F15+.

Since my last update I've also gotten libspnav[1] approved and in stable which blender will use if it finds it. Cmake should find it without any additional configuration if you add libspnav-devel as a BR:. 

Also if you're interested I've got the cycles-rendering branch building quite well, SRPM and SPEC are at:

http://hobbes1069.fedorapeople.org/blender/

Richard

[1] http://spacenav.sourceforge.net/
Comment 15 Richard Shaw 2011-11-13 17:55:52 EST
Jochen,

Since it looks like you're already building 2.60+ on newer branches, I assume this review request is dead?

Richard
Comment 16 Mario Santagiuliana 2012-01-22 12:57:47 EST
Which is the status of this review?
The spec file and the src.rpm is not available...
Blender is just in fedora repo but for Fedora 15 there is not 2.5* version.
@Jochen what are you planning?

Without a response within one week I will proceed closing this request...

Thank you!
Comment 17 Mario Santagiuliana 2012-02-04 13:11:32 EST
No response...I proceed to close this review.

Note You need to log in before you can comment on or make changes to this bug.